# Configuration file

~CONFIG_VERSION: 2.7.31

##########################################################################################################
# General
#--------------------------------------------------------------------------------------------------------#
# General FVTM Settings.
##########################################################################################################

General {
    # Should the contends of Vehicle Inventories be dropped when breaking the vehicle? [default: false]
    B:"Drop Items On Break"=false

    # Maximal amount of keys that can be spawned per vehicle. Does not include universal/admin keys.
    #  [range: 1 ~ 64, default: 5]
    I:"Max Spawned Vehicle Keys"=5

    # Should Vehicles be rendered in GUI instead of their default plain Texture Icons? [default: false]
    B:"Render Vehicles As Icons"=false

    # Turn off if vehicles out of view range cause issues. [default: true]
    B:"Render Vehicles out of default View range."=true

    # Ignore this. [default: false]
    B:"Test Boolean"=false

    # Do vehicles need Fuel to run? [default: true]
    B:"Vehicle Needs Fuel"=true

    # Range in which Update Packets are sent. [range: 16 ~ 4096, default: 256]
    I:"Vehicle Update Range"=256

    # The folder in which there should be searched for Addons. [default: addons]
    S:addons_folder=mods
}


##########################################################################################################
# Prototyping
#--------------------------------------------------------------------------------------------------------#
# Various Experimental Settings.
##########################################################################################################

Prototyping {
    # Should seats be updated in their own `onUpdate` method instead of being updated directly from the Vehicle? [default: false]
    B:"Alternative Seat Update"=false
}


